Subject: Re: [netmod] Updated version of NMDA Datastores draft with WG LC comments addressed.

From: Martin Bjorklund <[email-masked]>
Date: Thu, 30 Nov 2017 09:09:23 +0100 (CET)

Hi,

I have posted a new version of the NMDA draft,
draft-ietf-netmod-revised-datastores-07.  With this version, we
believe that all WGLC and post-WGLC comments have been addressed.  See
below for the first set of changes between 04 and 05.

The changes from 05 to 07 are:

  o added a definition of "datastore schema" to the terminology
    section, and use that term in the document.

  o clarified that the datastore schema for <operational> MUST be a
    superset of the config datastores (except node omission).

  o specified that actions and rpc are invoked in the context of
    operational

/martin

Robert Wilton <[email-masked]> wrote:
> Hi,
> 
> I've just posted an updated version of the NMDA datastores draft
> (draft-ietf-netmod-revised-datastores-05.txt).  The authors believe
> that this should address all of the issues raised during the WG LC. 
> The issues themselves have been tracked at
> https://github.com/netmod-wg/datastore-dt/issues
> 
> Note, there has been a recent (post WG LC) issue raised by Andy
> concerning the handling of Action statements.  A further update to the
> draft may be required depending on the conclusion of that discussion.
> 
> Please may I thank you for reviewing the draft and providing
> comments.  Please may I also ask that if you raised an issue that you
> check the latest draft/diff to ensure that all of your comments have
> been addressed satisfactorily.
> 
> In addition, I would like to summarize what I perceive are the main
> changes made to the draft since WG LC version (-04) so that those
> particular areas can be reviewed as appropriate:
> 
> 1. There is a new "objectives" section added after the short
> introduction to address Tom's request of a better overview.
> 
> 2. We have introduced the notion of a "configuration transformation"
> to describe the possible changes between running and intended, hence
> allowing inactive config and templating to be used only as examples
> and not in any normative text.
> 
> 3. The conventional datastores sections have been moved to a more
> intuitive order, which is a minor change, but causes a slightly larger
> diff when diffing the -04 and -05 versions.
> 
> 4. The description of <running> and <intended> datastores have both
> been updated, hopefully better explaining the relationship between
> these datastores and <operational>.
> 
> Finally, I'll leave it to the WG Chairs to specify what the
> appropriate next steps are in the WG LC process.
> 
> Many thanks,
> Rob
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod